state_machine 0.10.1

7 views
Skip to first unread message

Jamie van Dyke

unread,
Mar 24, 2011, 10:42:10 AM3/24/11
to Bluepill
I have bluepill monitoring my resque workers, and everything is
fine...up until today. I installed bluepill and got a newer
state_machine with it, bluepill fails to run with this new version.
Anyone else seen this?

sudo bluepill load /a/pharmmd/shared/config/resque/resque.pill
/usr/lib/ruby/gems/1.8/gems/state_machine-0.10.1/lib/state_machine/
machine.rb:544: super called outside of method (NoMethodError)
from /usr/lib/ruby/gems/1.8/gems/state_machine-0.10.1/lib/
state_machine/machine.rb:1559:in `call'
from /usr/lib/ruby/gems/1.8/gems/state_machine-0.10.1/lib/
state_machine/machine.rb:1559
from /usr/lib/ruby/gems/1.8/gems/state_machine-0.10.1/lib/
state_machine/machine_collection.rb:19:in `initialize_states'
from /usr/lib/ruby/gems/1.8/gems/state_machine-0.10.1/lib/
state_machine/machine.rb:1559
from /usr/lib/ruby/gems/1.8/gems/state_machine-0.10.1/lib/
state_machine/machine.rb:561:in `call'
from /usr/lib/ruby/gems/1.8/gems/state_machine-0.10.1/lib/
state_machine/machine.rb:561:in `call_helper'
from /usr/lib/ruby/gems/1.8/gems/state_machine-0.10.1/lib/
state_machine/machine.rb:545:in `initialize'
from /usr/lib/ruby/gems/1.8/gems/bluepill-0.0.44/lib/bluepill/
process.rb:107:in `initialize'
from /usr/lib/ruby/gems/1.8/gems/bluepill-0.0.44/lib/bluepill/dsl.rb:
60:in `new'
from /usr/lib/ruby/gems/1.8/gems/bluepill-0.0.44/lib/bluepill/dsl.rb:
60:in `to_process'
from /usr/lib/ruby/gems/1.8/gems/bluepill-0.0.44/lib/bluepill/dsl.rb:
128:in `process'
from /a/pharmmd/shared/config/resque/resque.pill:57
from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:36:in
`each'
from /a/pharmmd/shared/config/resque/resque.pill:56:in `times'
from /a/pharmmd/shared/config/resque/resque.pill:56:in `each'
from /a/pharmmd/shared/config/resque/resque.pill:56
from /a/pharmmd/shared/config/resque/resque.pill:55:in `each'
from /a/pharmmd/shared/config/resque/resque.pill:55
from /usr/lib/ruby/gems/1.8/gems/bluepill-0.0.44/lib/bluepill/dsl.rb:
152:in `application'
from /a/pharmmd/shared/config/resque/resque.pill:52

Downgrading to state_machine 0.9.4 resolves the issue.

Thanks
Jamie van Dyke

akzhan

unread,
Mar 24, 2011, 2:53:22 PM3/24/11
to Bluepill
WE'll setup requirement to less than 0.10 while it is not resolved..

Akzhan Abdulin

unread,
Mar 25, 2011, 6:30:23 PM3/25/11
to Bluepill

Jamie van Dyke

unread,
Mar 28, 2011, 7:03:54 AM3/28/11
to Bluepill
Thank you. Should I be using the git version for now or are you
releasing a gem version?

Akzhan Abdulin

unread,
Mar 28, 2011, 8:39:30 AM3/28/11
to bluep...@googlegroups.com, Jamie van Dyke
Use latest version from the gems.

2011/3/28 Jamie van Dyke <ja...@fearoffish.com>
Reply all
Reply to author
Forward
0 new messages